﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = 'tflint'

    # 32-bit
    url            = 'https://github.com/terraform-linters/tflint/releases/download/v0.50.3/tflint_windows_386.zip'
    checksum       = '27e93099fbbdd882ca1c29b3e4c529ae718491cb711355f753468f419ba666d0'
    checksumType   = 'sha256'

    # 64-bit
    url64bit       = 'https://github.com/terraform-linters/tflint/releases/download/v0.50.3/tflint_windows_amd64.zip'
    checksum64     = '86f9b9083252dab481e3988039eefcd1b7d32e9050ad764a1c2a5c19d66f4d25'
    checksumType64 = $checksumType

    # misc
    unziplocation  = "$toolsDir"
}

Install-ChocolateyZipPackage @packageArgs
